%define dversion 5.4.9
%define drelease 1

Name: ImageMagick
Version: %dversion
Release: alt8
%define module_dir Image/Magick
%define mgkdir		ImageMagick

Summary: An X application for displaying and manipulating images
License: OpenSource
Group: Graphics
Url: http://www.imagemagick.org/

Packager: Rider <rider@altlinux.ru>

%if %drelease
Source: %name-%dversion-%drelease.tar.bz2
%else
Source: %name-%dversion.tar.bz2
%endif
Source1: %name.pdf.bz2
Patch0: ImageMagick-5.1.1-qcontrolq.patch
Patch1: ImageMagick-5.2.1-tv.patch
Patch2: ImageMagick-5.4.2-perlmagick.patch
Patch3: ImageMagick-5.4.6-perlmagick-call-with-INSTALLDIRS-vendor.patch.bz2
Patch4: ImageMagick-5.4.9-localefix.patch

AutoReqProv: yes, perl
Requires: freetype2 ghostscript
Requires: lib%name = %version-%release


Prefix: %prefix

# Automatically added by buildreq on Mon Dec 23 2002
BuildRequires: XFree86-devel-static XFree86-libs autotrace bzlib-devel enscript freetype2-devel gcc-c++ gcc-g77 ghostscript-common ghostscript-module-X gimp glib groff-base libgimp-print libhdf-devel libjbig-devel libjpeg-devel liblcms-devel libmpeg2-devel libpng-devel libstdc++-devel libtiff-devel libwmf-devel libxml2-devel ncompress netpbm sane tetex-dvips transfig urw-fonts wget xterm zlib-devel


%package -n lib%name
Summary: Shared libraries for %name
Group: System/Libraries
Obsoletes: %name-lib

%package -n lib%name-devel
Summary: Header files for %name app development
Group: Development/C
Requires: lib%name = %version-%release
Obsoletes: %name-devel
Provides: %name-devel = %version

%package -n lib%name-devel-static
Summary: Static libraries for %name app development
Group: Development/C
Requires: lib%name-devel = %version-%release

%package -n perl-Magick
Summary: Libraries and modules for access to %name from perl
Group: Development/Perl
Requires: %name = %version-%release

%description
%name is a powerful image display, conversion and manipulation tool. It
runs in an X session. With this tool, you can view, edit and display a variety
of image formats.

This package installs the necessary files to run %name.

%description -n lib%name
%name is a powerful image display, conversion and manipulation libraries.

%description -n lib%name-devel
If you want to create applications that will use %name code or APIs,
you'll need to install these packages as well as %name. These additional
packages aren't necessary if you simply want to use %name, however.

%description -n lib%name-devel-static
If you want to create applications that will use %name code or APIs,
you'll need to install these packages as well as %name. These additional
packages aren't necessary if you simply want to use %name, however.

lib%name-devel is an addition to %name which includes static libraries files
necessary to develop applications.

%description -n perl-Magick
This is the %name perl support package. It includes perl modules
and support files for access to %name library from perl.

%prep
%setup -q -n %name-%dversion
%patch0 -p1
%patch1 -p1 -b .tv_ln
%patch2 -p1 -b .perl
%patch3 -p1 -b .perl-vendor
%patch4 -p1 -b .localefix

bzcat %{SOURCE1} > ImageMagick.pdf

find -type f -print0 |
	xargs -r0 fgrep -l BZ2_ |
	xargs -r perl -pi -e 's/BZ2_//g'
install -p -m644 %SOURCE1 .
perl -pi -e 's, (\$\(pkglibdir\)), \$(DESTDIR)/$1,g' delegates/Makefile*

%build
libtoolize -c -f
CFLAGS="$RPM_OPT_FLAGS " \
CXXFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=%{_prefix} \
		    --mandir=%{_mandir} \
		    --with-modules \
		    --enable-shared \
		    --with-magick-plus-plus=yes \
		    --with-threads \
		    --with-perl \
		    --with-xml=yes \
		    --with-jbig \
		    --with-wmf \
		    --with-hdf \
		    --with-perl-options='PREFIX=%prefix INSTALLDIRS=vendor'
%make_build

%install
mkdir -p $RPM_BUILD_ROOT%_menudir \
	$RPM_BUILD_ROOT%_iconsdir

make install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgdocdir=$RPM_BUILD_ROOT%_datadir/%mgkdir

cat > $RPM_BUILD_ROOT%_menudir/ImageMagick <<EOF
?package(ImageMagick): command="display logo:Untitled" needs="X11" \
icon="graphics_section.xpm" section="Multimedia/Graphics" title="ImageMagick display" \
longtitle="Displays any image on X"
EOF

perl -pi -e \
        's|-L/.*magick/\.libs ||;\
        s|/[^ ]*libjpeg\.la|-ljpeg|;\
        s|/[^ ]*libMagick\.la|-lMagick|' \
        $RPM_BUILD_ROOT%_libdir/%mgkdir/modules/coders/*.la
#
perl -pi -e \
	"s|$RPM_BUILD_ROOT%prefix|%prefix|g" \
        $RPM_BUILD_ROOT%_libdir/%mgkdir/modules/coders/*.la \
	$RPM_BUILD_ROOT%_libdir/*.la
#
perl -pi -e \
        's|-L/.*magick/\.libs ||' \
        $RPM_BUILD_ROOT%_bindir/Magick-config \
	$RPM_BUILD_ROOT%_bindir/Magick++-config

# Add correct perlMagick doc:
cat www/perl.html | sed -e "s#\.\./images/##g" > perl-Magick.html

%post
%update_menus

%postun
%clean_menus

%post -n lib%name -p /sbin/ldconfig

%postun -n lib%name -p /sbin/ldconfig

%files
%doc www images
%doc Copyright.txt README.txt ImageMagick.html ImageMagick.pdf
%_bindir/animate
%_bindir/composite
%_bindir/convert
%_bindir/display
%_bindir/identify
%_bindir/import
%_bindir/mogrify
%_bindir/montage
%dir %_datadir/%mgkdir
%dir %_libdir/%mgkdir
%dir %_libdir/%mgkdir/modules
%dir %_libdir/%mgkdir/modules/coders
%_datadir/%mgkdir/*
%_libdir/%mgkdir/*.mgk
%_libdir/%mgkdir/modules/coders/*.so
%_libdir/%mgkdir/modules/coders/*.la
%_libdir/%mgkdir/modules/coders/*.mgk
%_mandir/man1/*
%_mandir/man4/*
%_mandir/man5/*
%_menudir/*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%doc www/api.html www/api/
%_bindir/Magick-config
%_bindir/Magick++-config
%_libdir/*.la
%_includedir/magick
%_includedir/Magick++.h
%_includedir/Magick++
%_libdir/*.so

%files -n perl-Magick
%doc perl-Magick.html images/examples.jpg images/home.png
%doc images/magick_small.png images/right_triangle.png
%perl_vendor_man3dir/*
%perl_vendor_archlib/*

%files -n lib%name-devel-static
%_libdir/*.a
%_libdir/%mgkdir/modules/coders/*.a

%changelog
* Wed Jan 15 2003 Rider <rider@altlinux.ru> 5.4.9-alt8
- requires fix (bug #0001819)

* Mon Dec 23 2002 Rider <rider@altlinux.ru> 5.4.9-alt7
- bugfix rebuild

* Fri Dec 20 2002 Rider <rider@altlinux.ru> 5.4.9-alt6
- BuildReq fix
- rebuild with new libwmf

* Mon Dec 09 2002 Rider <rider@altlinux.ru> 5.4.9-alt5
- fix for previos bugfix

* Tue Nov 19 2002 Rider <rider@altlinux.ru> 5.4.9-alt4
- PostScript generation bugfix (LC_MONETARY set to POSIX)

* Mon Nov 18 2002 Rider <rider@altlinux.ru> 5.4.9-alt3
- rebuild (new perl)

* Tue Oct 08 2002 Rider <rider@altlinux.ru> 5.4.9-alt2
- 5.4.9-1
- fixed bug #0001341

* Fri Oct 04 2002 Rider <rider@altlinux.ru> 5.4.9-alt1
- 5.4.9
- fixed bug #0001341

* Wed Sep 18 2002 Stanislav Ievlev <inger@altlinux.ru> 5.4.8-alt2.1
- rebuild with new XFree86

* Fri Sep 06 2002 Rider <rider@altlinux.ru> 5.4.8-alt2
- 5.4.8-3

* Fri Aug 23 2002 Rider <rider@altlinux.ru> 5.4.8-alt1
- 5.4.8

* Thu Jun 06 2002 Konstantin Volckov <goldhead@altlinux.ru> 5.4.6-alt1
- 5.4.6
- Some spec cleanup

* Sat Jun 01 2002 Rider <rider@altlinux.ru> 5.4.5.1-alt1
- 5.4.5.1

* Mon Apr 15 2002 Rider <rider@altlinux.ru> 5.4.4.5-alt1
- 5.4.4-5

* Mon Apr 08 2002 Rider <rider@altlinux.ru> 5.4.4.4-alt1
- 5.4.4-4

* Sun Mar 10 2002 Rider <rider@altlinux.ru> 5.4.3.11-alt1
- 5.4.3-11

* Sun Feb 24 2002 Rider <rider@altlinux.ru> 5.4.3-alt2
- 5.4.3-5

* Tue Feb 19 2002 Rider <rider@altlinux.ru> 5.4.3-alt1
- 5.4.3-1
- buildreq fix
- remove lcms patch(#4)

* Sun Feb 10 2002 Rider <rider@altlinux.ru> 5.4.2-alt1
- 5.4.2-3

* Thu Oct 11 2001 AEN <aen@logic.ru> 5.3.9-alt2
- Rebuilt with libpng.so.3

* Tue Oct 09 2001 Rider <rider@altlinux.ru> 5.3.9-alt1
- 5.3.9

* Tue Jul 24 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.3.3-alt4
- Rebuild with new perl.
- Corrected libification.

* Mon Jun 25 2001 Stanislav Ievlev <inger@altlinux.ru> 5.3.3-alt3
- Rebuilt with perl-5.6.1

* Fri May 11 2001 Rider <rider@altlinux.ru> 5.3.3-alt2
- libifications

* Mon May 07 2001 Rider <rider@altlinux.ru> 5.3.3-alt1
- 5.3.3

* Tue Mar 03 2001 Rider <rider@altlinux.ru> 5.3.1-alt1
- 5.3.1

* Tue Feb 20 2001 Dmitry V. Levin <ldv@fandra.org> 5.2.9-ipl1mdk
- 5.2.9
- Fixed bz2 support.
- RE adaptions.

* Mon Jan 30 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.2.8-1mdk
- release 5.2.8.
- removed ImageMagick-5.2.7-ps.patch (now merged), and ltdl patch.
- removed option --enable-16bit-pixel in configure, now default.

* Wed Jan 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.2.7-5mdk
- added liblcms.

* Tue Jan 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.2.7-4mdk
- added Imagemagick-5.2.7-ps.patch from ImageMagick CVS to fix the
  Camille's problems.
- added patch11 for perl-magick linking.

* Fri Jan 19 2001 David BAUDENS <baudens@mandrakesoft.com> 5.2.7-3mdk
- Fix (once again) build on PPC
- Don't "BuildRequires: " things which are not designed for PPC
- Spec clean up

* Tue Jan 16 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.2.7-2mdk
- fixed problems with EPS delegates.

* Sun Jan 14 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.2.7-1mdk
- new release.
- added support for HDF5, lcms, jbig formats.
- more BuildRequires.

* Sun Dec 17 2000 David BAUDENS <baudens@mandrakesoft.com> 5.2.6-2mdk
- Fix again build for PPC
- bzip2 patches
- Really use optimizations

* Tue Dec 05 2000 Geoffrey lee <snailtalk@mandrakesoft.com> 5.2.6-1mdk
- new and shiny version bumped into cooker.
- remove the self compile patch.
- build with freetype2.

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 5.2.5-3mdk
- Fix URL

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 5.2.5-2mdk
- Fix build for PPC

* Tue Oct 31 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.2.5-1mdk
- s/5.2.4/5.2.5/

* Sun Oct 15 2000 Geoffrey Lee <snailtlak@mandrakesoft.com> 5.2.4-1mdk
- s/5.2.3/5.2.4/ aka new shiny ImageMagick.

* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 5.2.3-3mdk
- don't BuildRequires on ImageMagick-devel.

* Wed Sep 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.3-2mdk
- build release

* Mon Aug 21 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.2.3-1mdk
- s|5.2.2|5.2.3|.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 5.2.2-6mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Pixel <pixel@mandrakesoft.com> 5.2.2-5mdk
- put *.la back to main package (otherwise doesn't work!)
- use %%perl_sitearch
- /usr/lib/ImageMagick and subdirs now belongs to main package

* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.2.2-4mdk
- put module *.so files in the main package while *.la and *.a go to devel

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.2-3mdk
- split out modules in -lib packages for lord rpmlint (gl scks)

* Mon Jul 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.2.2-2mdk
- build withmodules (titiscks)
- license is opensource
- should be ./configure --prefix=_prefix not /usr (titiscks)

* Mon Jul 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.2-1mdk
- new release

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.1-1mdk
- new release
- BM (this one give me an hard time :-( thanks for the gift)

* Thu Jul 06 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.0-6mdk
- since Lord Chmou've upload my test rpm without asking me before whereas it
  was bogus, i make a new release.
  Language lab, lesson 6, repeat after me : chmou sucks :-)

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.0-5mdk
- built against new libbz2

* Wed Jun 28 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 5.2.0-4mdk
- Changed i386 into %_arch in filelist

* Fri Jun 23 2000 Vincent Saugey <vince@mandrakesoft.com> 5.2.0-3mdk
- Correct %file of perl-Magick no more empty pod.

* Thu Jun 22 2000 Vincent Saugey <vince@mandrakesoft.com> 5.2.0-2mdk
- Correct local file owner in perl-Magick.

* Wed Jun  7 2000 Vincent Saugey <vince@mandrakesoft.com> 5.2.0-1mdk
- Up to 5.2.0

* Wed May 10 2000 Stefan Siegel <siegel@linux-mandrake.com>
- Split ImageMagick-devel in ImageMagick-devel and perl-Magick.
- moved Magick-config to ImageMagick-devel.

* Wed Apr 26 2000 Vincent Saugey <vince@mandrakesoft.com> 5.1.1-7mdk
- Change prefix to /usr.
- Update to second version 5.1.1 of wizard.dupont.
- Move include files in %_includedir/magick.
- Remove entry menu for display (needs a terminaux stdin)
- Now, compile alone (with good librairie in rpm build dir)

* Wed Apr 19 2000 Vincent Saugey <vince@mandrakesoft.com> 5.1.1-6mdk
- Doc file slipt into the two package.

* Mon Apr 17 2000 Vincent Saugey <vince@mandrakesoft.com> 5.1.1-5mdk
- Patch ltconfig to remove rpath.

* Fri Apr  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1.1-4mdk
- Really apply patch.

* Thu Apr  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1.1-3mdk
- Prereq: /sbin/ldconfig.
- Add menu.
- Adjust groups.
- No need to do Ctrl-q to quit (just q or c-q if you really want).

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1.1-2mdk
- Recompile ImageMagick-devel with the right 5.1.1 devel.

* Thu Jan 13 2000 Vincent Saugey <vince@mandrakesoft.com>
- update to 5.1.0
- Add documentation ImageMagick.pdf

* Mon Nov 01 1999 Vincent Saugey <vincent@mandrakesoft.com>
- 4.2.9
- ImageMagick now supports native blob support for most of the image formats.
- Enable accented letters in text for Postscript fonts
- Broke up some of the large source modules into smaller more managable modules.
- Added methods CreateImage and GetPixels to make using float arrays of pixels easier.
- Fixed GS delegate to get around a Ghostscript bug for device pnmraw (bug report by Thomas Baker).
- Added ImageMagick User's Guide to the distribution. See ImageMagick/docs directory.
- Drawing primitives are antialiased now
- Several API changes were made to accomodate Magick++, the C++ ImageMagick API wrapper
- Several API changes were made to make the ImageMagick API thread safe.
- Many others changes

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Handle SMP compilation.
- 4.2.7.
- Remove unused patch.

* Tue May 04 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 4.2.3
- Mandrake adaptions
- add de locale

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- include the perl man pages as well

* Tue Apr 06 1999 Michael K. Johnson <johnsonm@redhat.com>
- remove --enable-16bit because it damages interoperability

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- update to 4.2.2
- change ChangeLog to refer to actual dates.
- strip binaries

* Thu Apr  1 1999 Bill Nottingham <notting@redhat.com>
- add more files. Oops.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Wed Mar 10 1999 Bill Nottingham <notting@redhat.com>
- version 4.2.1

* Tue Jan 19 1999 Michael K. Johnson <johnsonm@redhat.com>
- changed group

* Tue Jan 19 1999 Cristian Gafton <gafton@redhat.com>
- hacks to make it work with the new perl
- version 4.1.0 (actually installs the sonames as 4.0.10... doh!)
- make sure the libraries have the x bit on

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.0.5

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.0.4
- added BuildRoot

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 3.8.3 to 3.9.1
- removed PNG patch (appears to be fixed)

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- build against new libpng

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- updated to version 3.8.3.
- updated source and url tags.
